using System;

namespace Zad_4
{
    class Program
    {
        static void Main(string[] args)
        {
            Int64 N = Int64.Parse(Console.ReadLine());
            int dimenzija = 0;
            int promene = 0;
            Int64 M = N;
            while (N % 10 > 0)
            {
                N /= 10;
                dimenzija++;
            }
            for (int i = 1; i <= dimenzija; i++)
            {
                for (int j = i; j <= dimenzija; j++)
                {
                    if (((M % Math.Pow(10, j - 1)) / (Math.Pow(10, dimenzija - j))) == ((M % Math.Pow(10, i - 1)) / (Math.Pow(10, dimenzija - i))))
                    {
                        if (i != ((M / Math.Pow(10, j - 1)) / (dimenzija - j)))
                        {
                            promene++;
                        }
                    }
                }
            }
            Console.WriteLine(promene);
        }
    }
}